Bug 30877 - use List::MoreUtils::uniq from recalls_to_pull.pl
Summary: use List::MoreUtils::uniq from recalls_to_pull.pl
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Aleisha Amohia
URL:
Keywords:
Depends on: 29734 30876
Blocks:
  Show dependency treegraph
 
Reported: 2022-06-01 12:04 UTC by Jonathan Druart
Modified: 2022-07-12 16:28 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.03


Attachments
Bug 30877: use List::MoreUtils::uniq from recalls_to_pull.pl (3.24 KB, patch)
2022-06-01 12:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30877: use List::MoreUtils::uniq from recalls_to_pull.pl (3.10 KB, patch)
2022-06-03 22:44 UTC, David Nind
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-06-01 12:04:52 UTC

    
Comment 1 Jonathan Druart 2022-06-01 12:05:49 UTC
Created attachment 135537 [details] [review]
Bug 30877: use List::MoreUtils::uniq from recalls_to_pull.pl

Test plan:
Confirm that "Recalls to pull" is still working correctly
Comment 2 David Nind 2022-06-03 22:44:41 UTC
Created attachment 135697 [details] [review]
Bug 30877: use List::MoreUtils::uniq from recalls_to_pull.pl

Test plan:
Confirm that "Recalls to pull" is still working correctly

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2022-06-03 22:45:25 UTC
Testing notes using koha-testing-docker:

0. Applied bug 30876 so that the "Recalls to pull" page works.
1. Enable the UseRecalls system preference and set up recalls-related circulation rules.
2. Check out an item to Patron A where there are multiple items (I checked out an item for Intermediate Perl to Mary Burton).
3. Log into the OPAC as Patron B and search for the item (I used Henry Acevedo).
4. Place a recall on that item (I placed a record-level recall for Intermediate Perl).
5. Go back to the staff interface and check the item in. Confirm the recall as waiting for Patron B (Henry).
6. Access the "Recalls to pull" page (Circulation > Recalls) - this should work as expected (display the recall).
7. Apply patch, restart services, refresh the OPAC.
8. Confirm that the "Recalls to pull" page is still working correctly.
Comment 4 David Nind 2022-06-03 22:47:44 UTC
Added bug 30876 as a dependency, otherwise I could not test properly.

Also added the new omnibus bug 29734 for recalls as well. Feel free to remove if this is not being used.
Comment 5 Aleisha Amohia 2022-06-06 23:15:21 UTC
Code looks good, patch works, tests happy, passing QA
Comment 6 Tomás Cohen Arazi 2022-06-07 12:37:44 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 7 Lucas Gass 2022-07-12 16:28:08 UTC
Backported to 22.05.x for 22.05.03